/**
 * @file srom_mapping.h
 *
 * @brief @{SROM Code default mapping header file.@}
 * This file shall be generated when SROM code base is updated.
 */

/*
 * Copyright (2014-2019), Cypress Semiconductor Corporation or a subsidiary of
 * Cypress Semiconductor Corporation. All rights reserved.
 *
 * This software, including source code, documentation and related materials
 * (“Software”), is owned by Cypress Semiconductor Corporation or one of its
 * subsidiaries (“Cypress”) and is protected by and subject to worldwide patent
 * protection (United States and foreign), United States copyright laws and
 * international treaty provisions. Therefore, you may use this Software only
 * as provided in the license agreement accompanying the software package from
 * which you obtained this Software (“EULA”).
 *
 * If no EULA applies, Cypress hereby grants you a personal, nonexclusive,
 * non-transferable license to copy, modify, and compile the Software source
 * code solely for use in connection with Cypress’s integrated circuit
 * products. Any reproduction, modification, translation, compilation, or
 * representation of this Software except as specified above is prohibited
 * without the express written permission of Cypress. Disclaimer: THIS SOFTWARE
 * IS PROVIDED AS-IS, WITH NO WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
 * INCLUDING, BUT NOT LIMITED TO, NONINFRINGEMENT, IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. Cypress reserves the
 * right to make changes to the Software without notice. Cypress does not
 * assume any liability arising out of the application or use of the Software
 * or any product or circuit described in the Software. Cypress does not
 * authorize its products for use in any products where a malfunction or
 * failure of the Cypress product may reasonably be expected to result in
 * significant property damage, injury or death (“High Risk Product”). By
 * including Cypress’s product in a High Risk Product, the manufacturer of such
 * system or application assumes all risk of such use and in doing so agrees to
 * indemnify Cypress against all liability.
 */

#ifndef _SROM_MAPPING_H_
#define _SROM_MAPPING_H_

#include "srom.h"

/************************************************************************
* DEFAULT CALL_MAP MAPPING
************************************************************************/
#ifndef call_div_round_up
#define call_div_round_up(func)                   (func)
#endif /* call_div_round_up(func) */

#ifndef call_dpm_get_info
#define call_dpm_get_info(func)                   (func)
#endif /* call_dpm_get_info(func) */

#ifndef call_gl_op_cur_power
#define call_gl_op_cur_power(func)                (func)
#endif /* call_gl_op_cur_power(func) */

#ifndef call_gl_contract_voltage
#define call_gl_contract_voltage(func)            (func)
#endif /* call_gl_contract_voltage(func) */

#ifndef call_gl_contract_power
#define call_gl_contract_power(func)              (func)
#endif /* call_gl_contract_power(func) */

#ifndef call_gl_max_min_cur_pwr
#define call_gl_max_min_cur_pwr(func)             (func)
#endif /* call_gl_max_min_cur_pwr(func) */

#ifndef call_app_get_resp_buf
#define call_app_get_resp_buf(func)               (func)
#endif /* call_app_get_resp_buf(func) */

#ifndef call_dpm_is_rdo_valid
#define call_dpm_is_rdo_valid(func)               (func)
#endif /* call_dpm_is_rdo_valid(func) */

#ifndef call_gpio_set_value
#define call_gpio_set_value(func)                 (func)
#endif /* call_gpio_set_value(func) */

#ifndef call_i2c_slave_ack_ctrl
#define call_i2c_slave_ack_ctrl(func)             (func)
#endif /* call_i2c_slave_ack_ctrl(func) */

#ifndef call_i2c_scb_write
#define call_i2c_scb_write(func)                  (func)
#endif /* call_i2c_scb_write(func) */

#ifndef call_i2c_scb_init
#define call_i2c_scb_init(func)                   (func)
#endif /* call_i2c_scb_init(func) */

#ifndef call_i2c_scb_deinit
#define call_i2c_scb_deinit(func)                 (func)
#endif /* call_i2c_scb_deinit(func) */

#ifndef call_i2c_scb_is_idle
#define call_i2c_scb_is_idle(func)                (func)
#endif /* call_i2c_scb_is_idle(func) */

#ifndef call_i2c_scb_enable_wakeup
#define call_i2c_scb_enable_wakeup(func)          (func)
#endif /* call_i2c_scb_enable_wakeup(func) */

#ifndef call_sys_get_silicon_id
#define call_sys_get_silicon_id(func)             (func)
#endif /* call_sys_get_silicon_id(func) */

#ifndef call_sys_get_device_mode
#define call_sys_get_device_mode(func)            (func)
#endif /* call_sys_get_device_mode(func) */

#ifndef call_i2c_reset
#define call_i2c_reset(func)                      (func)
#endif /* call_i2c_reset(func) */

#ifndef call_sys_get_custom_info_addr
#define call_sys_get_custom_info_addr(func)       (func)
#endif /* call_sys_get_custom_info_addr(func) */

#ifndef call_hpi_i2c_cmd_callback
#define call_hpi_i2c_cmd_callback(func)           (func)
#endif /* call_hpi_i2c_cmd_callback(func) */

#ifndef call_gpio_set_lvttl_mode
#define call_gpio_set_lvttl_mode(func)            (func)
#endif /* call_gpio_set_lvttl_mode(func) */

#ifndef call_SCB_PRT
#define call_SCB_PRT(func)                        (func)
#endif /* call_SCB_PRT(func) */

#ifndef call_CyIntEnable
#define call_CyIntEnable(func)                    (func)
#endif /* call_CyIntEnable(func) */

#ifndef call_CyIntDisable
#define call_CyIntDisable(func)                   (func)
#endif /* call_CyIntDisable(func) */

#ifndef call_i2c_ack_disable
#define call_i2c_ack_disable(func)                (func)
#endif /* call_i2c_ack_disable(func) */

#ifndef call_i2c_ack_pending
#define call_i2c_ack_pending(func)                (func)
#endif /* call_i2c_ack_pending(func) */

#ifndef call_gl_i2c_scb_config
#define call_gl_i2c_scb_config(func)              (func)
#endif /* call_gl_i2c_scb_config(func) */

#ifndef call_timer_stop
#define call_timer_stop(func)                     (func)
#endif /* call_timer_stop(func) */

#ifndef call_CyDelayUs
#define call_CyDelayUs(func)                      (func)
#endif /* call_CyDelayUs(func) */

#ifndef call_timer_start
#define call_timer_start(func)                    (func)
#endif /* call_timer_start(func) */

#ifndef call_i2c_timer_cb
#define call_i2c_timer_cb(func)                   (func)
#endif /* call_i2c_timer_cb(func) */

#ifndef call_CyIntSetVector
#define call_CyIntSetVector(func)                 (func)
#endif /* call_CyIntSetVector(func) */

#ifndef call_pd_prot_frs_rx_disable
#define call_pd_prot_frs_rx_disable(func)         (func)
#endif /* call_pd_prot_frs_rx_disable(func) */

#ifndef call_pd_prot_frs_tx_disable
#define call_pd_prot_frs_tx_disable(func)         (func)
#endif /* call_pd_prot_frs_tx_disable(func) */

#ifndef call_pd_prot_reset
#define call_pd_prot_reset(func)                  (func)
#endif /* call_pd_prot_reset(func) */

#ifndef call_pd_prot_reset_rx
#define call_pd_prot_reset_rx(func)               (func)
#endif /* call_pd_prot_reset_rx(func) */

#ifndef call_gl_pd_status
#define call_gl_pd_status(func)                   (func)
#endif /* call_gl_pd_status(func) */

#ifndef call_pd_prot_init
#define call_pd_prot_init(func)                   (func)
#endif /* call_pd_prot_init(func) */

#ifndef call_pd_prot_start
#define call_pd_prot_start(func)                  (func)
#endif /* call_pd_prot_start(func) */

#ifndef call_pd_prot_is_busy
#define call_pd_prot_is_busy(func)                (func)
#endif /* call_pd_prot_is_busy(func) */

#ifndef call_pd_prot_refresh_roles
#define call_pd_prot_refresh_roles(func)          (func)
#endif /* call_pd_prot_refresh_roles(func) */

#ifndef call_pd_prot_get_rx_packet
#define call_pd_prot_get_rx_packet(func)          (func)
#endif /* call_pd_prot_get_rx_packet(func) */

#ifndef call_pd_prot_dis_bist_test_data
#define call_pd_prot_dis_bist_test_data(func)     (func)
#endif /* call_pd_prot_dis_bist_test_data(func) */

#ifndef call_pd_prot_send_hard_reset
#define call_pd_prot_send_hard_reset(func)        (func)
#endif /* call_pd_prot_send_hard_reset(func) */

#ifndef call_pd_prot_en_bist_test_data
#define call_pd_prot_en_bist_test_data(func)      (func)
#endif /* call_pd_prot_en_bist_test_data(func) */

#ifndef call_pd_prot_en_bist_cm2
#define call_pd_prot_en_bist_cm2(func)            (func)
#endif /* call_pd_prot_en_bist_cm2(func) */

#ifndef call_pd_prot_dis_bist_cm2
#define call_pd_prot_dis_bist_cm2(func)           (func)
#endif /* call_pd_prot_dis_bist_cm2(func) */

#ifndef call_pd_prot_reset_all
#define call_pd_prot_reset_all(func)              (func)
#endif /* call_pd_prot_reset_all(func) */

#ifndef call_eval_src_cap
#define call_eval_src_cap(func)                   (func)
#endif /* call_eval_src_cap(func) */

#ifndef call_pd_prot_send_data_msg
#define call_pd_prot_send_data_msg(func)          (func)
#endif /* call_pd_prot_send_data_msg(func) */

#ifndef call_pd_prot_send_ctrl_msg
#define call_pd_prot_send_ctrl_msg(func)          (func)
#endif /* call_pd_prot_send_ctrl_msg(func) */

#ifndef call_eval_rdo
#define call_eval_rdo(func)                       (func)
#endif /* call_eval_rdo(func) */

#ifndef call_pd_prot_frs_tx_enable
#define call_pd_prot_frs_tx_enable(func)          (func)
#endif /* call_pd_prot_frs_tx_enable(func) */

#ifndef call_pd_prot_send_extd__msg
#define call_pd_prot_send_extd__msg(func)         (func)
#endif /* call_pd_prot_send_extd__msg(func) */

#ifndef call_pd_prot_send_cable_reset
#define call_pd_prot_send_cable_reset(func)       (func)
#endif /* call_pd_prot_send_cable_reset(func) */

#ifndef call_pd_prot_frs_rx_enable
#define call_pd_prot_frs_rx_enable(func)          (func)
#endif /* call_pd_prot_frs_rx_enable(func) */

#ifndef call_pd_phy_init
#define call_pd_phy_init(func)                    (func)
#endif /* call_pd_phy_init(func) */

#ifndef call_pd_phy_refresh_roles
#define call_pd_phy_refresh_roles(func)           (func)
#endif /* call_pd_phy_refresh_roles(func) */

#ifndef call_pd_phy_is_busy
#define call_pd_phy_is_busy(func)                 (func)
#endif /* call_pd_phy_is_busy(func) */

#ifndef call_timer_stop_range
#define call_timer_stop_range(func)               (func)
#endif /* call_timer_stop_range(func) */

#ifndef call_pd_phy_abort_tx_msg
#define call_pd_phy_abort_tx_msg(func)            (func)
#endif /* call_pd_phy_abort_tx_msg(func) */

#ifndef call_dpm_get_status
#define call_dpm_get_status(func)                 (func)
#endif /* call_dpm_get_status(func) */

#ifndef call_mem_set
#define call_mem_set(func)                        (func)
#endif /* call_mem_set(func) */

#ifndef call_pd_phy_load_msg
#define call_pd_phy_load_msg(func)                (func)
#endif /* call_pd_phy_load_msg(func) */

#ifndef call_CyEnterCriticalSection
#define call_CyEnterCriticalSection(func)         (func)
#endif /* call_CyEnterCriticalSection(func) */

#ifndef call_prl_tmr_cbk
#define call_prl_tmr_cbk(func)                    (func)
#endif /* call_prl_tmr_cbk(func) */

#ifndef call_pd_phy_send_msg
#define call_pd_phy_send_msg(func)                (func)
#endif /* call_pd_phy_send_msg(func) */

#ifndef call_CyExitCriticalSection
#define call_CyExitCriticalSection(func)          (func)
#endif /* call_CyExitCriticalSection(func) */

#ifndef call_pd_phy_send_reset
#define call_pd_phy_send_reset(func)              (func)
#endif /* call_pd_phy_send_reset(func) */

#ifndef call_pd_phy_send_bist_cm2
#define call_pd_phy_send_bist_cm2(func)           (func)
#endif /* call_pd_phy_send_bist_cm2(func) */

#ifndef call_pd_phy_abort_bist_cm2
#define call_pd_phy_abort_bist_cm2(func)          (func)
#endif /* call_pd_phy_abort_bist_cm2(func) */

#ifndef call_pd_phy_dis_unchunked_tx
#define call_pd_phy_dis_unchunked_tx(func)        (func)
#endif /* call_pd_phy_dis_unchunked_tx(func) */

#ifndef call_timer_is_running
#define call_timer_is_running(func)               (func)
#endif /* call_timer_is_running(func) */

#ifndef call_pd_phy_get_rx_packet
#define call_pd_phy_get_rx_packet(func)           (func)
#endif /* call_pd_phy_get_rx_packet(func) */

#ifndef call_mem_copy_word
#define call_mem_copy_word(func)                  (func)
#endif /* call_mem_copy_word(func) */

#ifndef call_pd_frs_rx_disable
#define call_pd_frs_rx_disable(func)              (func)
#endif /* call_pd_frs_rx_disable(func) */

#ifndef call_pd_frs_tx_disable
#define call_pd_frs_tx_disable(func)              (func)
#endif /* call_pd_frs_tx_disable(func) */

#ifndef call_pd_is_msg
#define call_pd_is_msg(func)                      (func)
#endif /* call_pd_is_msg(func) */

#ifndef call_pd_frs_rx_enable
#define call_pd_frs_rx_enable(func)               (func)
#endif /* call_pd_frs_rx_enable(func) */

#ifndef call_pd_frs_tx_enable
#define call_pd_frs_tx_enable(func)               (func)
#endif /* call_pd_frs_tx_enable(func) */

#ifndef call_gpio_clear_intr
#define call_gpio_clear_intr(func)                (func)
#endif /* call_gpio_clear_intr(func) */

#ifndef call_gpio_int_set_config
#define call_gpio_int_set_config(func)            (func)
#endif /* call_gpio_int_set_config(func) */

#ifndef call_hsiom_set_config
#define call_hsiom_set_config(func)               (func)
#endif /* call_hsiom_set_config(func) */

#ifndef call_gpio_read_value
#define call_gpio_read_value(func)                (func)
#endif /* call_gpio_read_value(func) */

#ifndef call_gpio_set_drv_mode
#define call_gpio_set_drv_mode(func)              (func)
#endif /* call_gpio_set_drv_mode(func) */

#ifndef call_gpio_hsiom_set_config
#define call_gpio_hsiom_set_config(func)          (func)
#endif /* call_gpio_hsiom_set_config(func) */

#ifndef call_gl_img1_fw_metadata
#define call_gl_img1_fw_metadata(func)            (func)
#endif /* call_gl_img1_fw_metadata(func) */

#ifndef call_gl_img2_fw_metadata
#define call_gl_img2_fw_metadata(func)            (func)
#endif /* call_gl_img2_fw_metadata(func) */

#ifndef call_sys_get_recent_fw_image
#define call_sys_get_recent_fw_image(func)        (func)
#endif /* call_sys_get_recent_fw_image(func) */

#ifndef call_GPIO
#define call_GPIO(func)                           (func)
#endif /* call_GPIO(func) */

#ifndef call_HSIOM
#define call_HSIOM(func)                          (func)
#endif /* call_HSIOM(func) */

#ifndef call_str
#define call_str(func)                            (func)
#endif /* call_str(func) */

#ifndef call_gl_active_fw
#define call_gl_active_fw(func)                   (func)
#endif /* call_gl_active_fw(func) */

#ifndef call_get_boot_mode_reason
#define call_get_boot_mode_reason(func)           (func)
#endif /* call_get_boot_mode_reason(func) */

#ifndef call_gl_invalid_version
#define call_gl_invalid_version(func)             (func)
#endif /* call_gl_invalid_version(func) */

#ifndef call_sys_get_fw_img1_start_addr
#define call_sys_get_fw_img1_start_addr(func)     (func)
#endif /* call_sys_get_fw_img1_start_addr(func) */

#ifndef call_sys_get_fw_img2_start_addr
#define call_sys_get_fw_img2_start_addr(func)     (func)
#endif /* call_sys_get_fw_img2_start_addr(func) */

#endif /* _SROM_MAPPING_H_ */
